From e73723cabe4d5a2e2b281d2f1ea751b2d75bccc6 Mon Sep 17 00:00:00 2001
From: David Michael <fedora.dm0@gmail.com>
Date: Fri, 30 Apr 2021 16:28:17 -0400
Subject: [PATCH] build: Make introspection optional in meson

It defaults to enabled to preserve existing behavior.
---
 lib/colord/meson.build   | 2 ++
 lib/colorhug/meson.build | 2 ++
 meson_options.txt        | 1 +
 3 files changed, 5 insertions(+)

diff --git a/lib/colord/meson.build b/lib/colord/meson.build
index dbb3d196..fe9d1cdb 100644
--- a/lib/colord/meson.build
+++ b/lib/colord/meson.build
@@ -146,6 +146,7 @@ pkgg.generate(
   description : 'colord is a system daemon for managing color devices',
 )
 
+if get_option('introspection')
 libcolord_girtarget = gnome.generate_gir(colord,
   sources : [
     'cd-client.c',
@@ -202,6 +203,7 @@ libcolord_girtarget = gnome.generate_gir(colord,
 )
 libcolord_gir = libcolord_girtarget[0]
 libcolord_typelib = libcolord_girtarget[1]
+endif
 
 if get_option('vapi')
 gnome.generate_vapi('colord',
diff --git a/lib/colorhug/meson.build b/lib/colorhug/meson.build
index 9526ea4d..c0ce2887 100644
--- a/lib/colorhug/meson.build
+++ b/lib/colorhug/meson.build
@@ -73,6 +73,7 @@ pkgg.generate(
   description : 'ColorHug is a simple display hardware colorimeter',
 )
 
+if get_option('introspection')
 libcolorhug_gir = gnome.generate_gir(colorhug,
   sources : [
     'ch-common.c',
@@ -107,6 +108,7 @@ libcolorhug_gir = gnome.generate_gir(colorhug,
   ],
   install : true
 )
+endif
 
 if get_option('tests')
   e = executable(
diff --git a/meson_options.txt b/meson_options.txt
index c184898e..10517622 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -7,6 +7,7 @@ option('systemd', type : 'boolean', value : true, description : 'Enable systemd
 option('argyllcms_sensor', type : 'boolean', value : true, description : 'Enable ArgllCMS sensor')
 option('reverse', type : 'boolean', value : false, description : 'Enable reverse engineering tools')
 option('sane', type : 'boolean', value : false, description : 'Enable SANE support')
+option('introspection', type : 'boolean', value : true, description : 'Build gobject-introspection typelib files')
 option('vapi', type : 'boolean', value : false, description : 'Build vala bindings')
 option('print_profiles', type : 'boolean', value : false, description : 'Build extra print profiles')
 option('tests', type : 'boolean', value : true, description : 'Build self tests')
